Deep Security Manager REST API

Path: / rest / status / manager / item / {item} / {failRate}

Query a specific item for all available manager nodes by the desired fail rate but using default threshold. Please check the status/manager/item/{item} documentation for valid item keywords.

Path parameters:
item - Query the overall status for the specific item.
failRate - Report error when DSM nodes get fail over this percentage in the specified item

Resources
NameDescription
{warningThreshold}Query a specific item for all available manager nodes by the desired fail rate and threshold.

Method Summary
ResourceDescription
GET /rest/status/manager/item/{item}/{failRate}Query a specific item for all available manager nodes by the desired fail rate but using default threshold.

Method Detail
HTTP Example:
GET /rest/status/manager/item/{item}/{failRate}

API Example:

IStatusAPI.getDetailStatus({'item': /* item Query the overall status for the specific item. */,
  'failRate': /* failRate Report error when DSM nodes get fail over this percentage in the specified item */});

Query a specific item for all available manager nodes by the desired fail rate but using default threshold. Please check the status/manager/item/{item} documentation for valid item keywords.

Output:
javax.ws.rs.core.Response

Copyright © 2015 Trend Micro Inc. All Rights Reserved.